Skip to main content
GET
List sandbox offers

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Query Parameters

profile
enum<string>

Only this runtime profile.

Available options:
standard-vm,
elastic-vm,
gpu,
portable
architecture
enum<string>

Only this CPU architecture.

Available options:
amd64,
arm64
region
string

Only this normalized region.

Required string length: 1 - 128
vcpu
integer

Minimum virtual CPUs.

Required range: 1 <= x <= 256
memoryMb
integer

Minimum memory in MiB.

Required range: 256 <= x <= 9007199254740991
gpuAccelerator
string

GPU profile accelerator filter.

Required string length: 1 - 120
gpuCount
integer

GPU profile accelerator count.

Required range: 1 <= x <= 16

Response

OK.

object
enum<string>
required
Available options:
list
data
object[]
required
nextCursor
string | null
required
Required string length: 1 - 2048